/******************************************************************************/
/**
 *
 * @file crc.h
 *
 * This is the header file with CRC functions
 *
 ******************************************************************************/
#ifndef __CRC_H
#define __CRC_H

#ifdef __cplusplus
extern "C" {
#endif

/***************************** Include Files **********************************/
#include <stdint.h>

/************************** Function Prototypes *******************************/
static uint8_t crc8_byte(uint8_t data);
static uint8_t crc8_bytearray(uint8_t *data_array, uint8_t len, uint8_t start_val);

#ifdef __cplusplus
}
#endif

#endif /* __CRC_H */

