OUTPUT_FORMAT("elf32-littleriscv")
ENTRY(_start)

MEMORY
{
    rom :
 ORIGIN = 0x00000000,
 LENGTH = 4096
    bss :
 ORIGIN = 0x00040000,
 LENGTH = 4096

 /* Sorry, but there is no initialized ram.  */
   empty :
 ORIGIN = 0x000f0000,
 LENGTH = 0
}

SECTIONS
{
 .text : {
       *(.boot)
       *(.text .text.*)
       LONG(0)
       LONG(0x00000001)
       LONG(0x00000002)
       LONG(0x00000004)
       LONG(0x00000008)
       LONG(0x00000010)
       LONG(0x00000020)
       LONG(0x00000040)
       LONG(0x00000080)
       LONG(0x00000100)
       LONG(0x00000200)
       LONG(0x00000400)
       LONG(0x00000800)
       LONG(0x00001000)
       LONG(0x00002000)
       LONG(0x00004000)
       LONG(0x00008000)
       LONG(0x00010000)
       LONG(0x00020000)
       LONG(0x00040000)
       LONG(0x00080000)
       LONG(0x00100000)
       LONG(0x00200000)
       LONG(0x00400000)
       LONG(0x00800000)
       LONG(0x01000000)
       LONG(0x02000000)
       LONG(0x04000000)
       LONG(0x08000000)
       LONG(0x10000000)
       LONG(0x20000000)
       LONG(0x40000000)
       LONG(0x80000000)
       . = LENGTH(rom);
 } > rom =0

 _gp = .;

 .rodata : { *(.rodata .rodata.*) } > empty
 .data : { *(.data .data.*) } > empty

 .bss : {
  _fbss = .;
  *(.bss .bss.*)
  *(COMMON)
  _ebss = .;
  . = ALIGN(.);
  _fstack = . + 1024;
  _end = .;
 } > bss
}
